Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network51.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
51.0.0.0
Broadcast address
51.255.255.255
First usable
51.0.0.1
Last usable
51.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 33000000 · Integer 855638016 to 872415231
Reverse DNS zone
51.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110011..00000000.00000000.0000000051.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00110011..00000000.00000000.0000000051.0.0.0
Broadcast00110011..11111111.11111111.1111111151.255.255.255
Split into smaller subnets/20

51.0.0.0/8 makes 4,096 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
151.0.0.0/2051.0.0.1 to 51.0.15.25451.0.15.2554,094
251.0.16.0/2051.0.16.1 to 51.0.31.25451.0.31.2554,094
351.0.32.0/2051.0.32.1 to 51.0.47.25451.0.47.2554,094
451.0.48.0/2051.0.48.1 to 51.0.63.25451.0.63.2554,094
551.0.64.0/2051.0.64.1 to 51.0.79.25451.0.79.2554,094
651.0.80.0/2051.0.80.1 to 51.0.95.25451.0.95.2554,094
751.0.96.0/2051.0.96.1 to 51.0.111.25451.0.111.2554,094
851.0.112.0/2051.0.112.1 to 51.0.127.25451.0.127.2554,094
951.0.128.0/2051.0.128.1 to 51.0.143.25451.0.143.2554,094
1051.0.144.0/2051.0.144.1 to 51.0.159.25451.0.159.2554,094
1151.0.160.0/2051.0.160.1 to 51.0.175.25451.0.175.2554,094
1251.0.176.0/2051.0.176.1 to 51.0.191.25451.0.191.2554,094
1351.0.192.0/2051.0.192.1 to 51.0.207.25451.0.207.2554,094
1451.0.208.0/2051.0.208.1 to 51.0.223.25451.0.223.2554,094
1551.0.224.0/2051.0.224.1 to 51.0.239.25451.0.239.2554,094
1651.0.240.0/2051.0.240.1 to 51.0.255.25451.0.255.2554,094
1751.1.0.0/2051.1.0.1 to 51.1.15.25451.1.15.2554,094
1851.1.16.0/2051.1.16.1 to 51.1.31.25451.1.31.2554,094
1951.1.32.0/2051.1.32.1 to 51.1.47.25451.1.47.2554,094
2051.1.48.0/2051.1.48.1 to 51.1.63.25451.1.63.2554,094
2151.1.64.0/2051.1.64.1 to 51.1.79.25451.1.79.2554,094
2251.1.80.0/2051.1.80.1 to 51.1.95.25451.1.95.2554,094
2351.1.96.0/2051.1.96.1 to 51.1.111.25451.1.111.2554,094
2451.1.112.0/2051.1.112.1 to 51.1.127.25451.1.127.2554,094
2551.1.128.0/2051.1.128.1 to 51.1.143.25451.1.143.2554,094
2651.1.144.0/2051.1.144.1 to 51.1.159.25451.1.159.2554,094
2751.1.160.0/2051.1.160.1 to 51.1.175.25451.1.175.2554,094
2851.1.176.0/2051.1.176.1 to 51.1.191.25451.1.191.2554,094
2951.1.192.0/2051.1.192.1 to 51.1.207.25451.1.207.2554,094
3051.1.208.0/2051.1.208.1 to 51.1.223.25451.1.223.2554,094
3151.1.224.0/2051.1.224.1 to 51.1.239.25451.1.239.2554,094
3251.1.240.0/2051.1.240.1 to 51.1.255.25451.1.255.2554,094
3351.2.0.0/2051.2.0.1 to 51.2.15.25451.2.15.2554,094
3451.2.16.0/2051.2.16.1 to 51.2.31.25451.2.31.2554,094
3551.2.32.0/2051.2.32.1 to 51.2.47.25451.2.47.2554,094
3651.2.48.0/2051.2.48.1 to 51.2.63.25451.2.63.2554,094
3751.2.64.0/2051.2.64.1 to 51.2.79.25451.2.79.2554,094
3851.2.80.0/2051.2.80.1 to 51.2.95.25451.2.95.2554,094
3951.2.96.0/2051.2.96.1 to 51.2.111.25451.2.111.2554,094
4051.2.112.0/2051.2.112.1 to 51.2.127.25451.2.127.2554,094
4151.2.128.0/2051.2.128.1 to 51.2.143.25451.2.143.2554,094
4251.2.144.0/2051.2.144.1 to 51.2.159.25451.2.159.2554,094
4351.2.160.0/2051.2.160.1 to 51.2.175.25451.2.175.2554,094
4451.2.176.0/2051.2.176.1 to 51.2.191.25451.2.191.2554,094
4551.2.192.0/2051.2.192.1 to 51.2.207.25451.2.207.2554,094
4651.2.208.0/2051.2.208.1 to 51.2.223.25451.2.223.2554,094
4751.2.224.0/2051.2.224.1 to 51.2.239.25451.2.239.2554,094
4851.2.240.0/2051.2.240.1 to 51.2.255.25451.2.255.2554,094
4951.3.0.0/2051.3.0.1 to 51.3.15.25451.3.15.2554,094
5051.3.16.0/2051.3.16.1 to 51.3.31.25451.3.31.2554,094
5151.3.32.0/2051.3.32.1 to 51.3.47.25451.3.47.2554,094
5251.3.48.0/2051.3.48.1 to 51.3.63.25451.3.63.2554,094
5351.3.64.0/2051.3.64.1 to 51.3.79.25451.3.79.2554,094
5451.3.80.0/2051.3.80.1 to 51.3.95.25451.3.95.2554,094
5551.3.96.0/2051.3.96.1 to 51.3.111.25451.3.111.2554,094
5651.3.112.0/2051.3.112.1 to 51.3.127.25451.3.127.2554,094
5751.3.128.0/2051.3.128.1 to 51.3.143.25451.3.143.2554,094
5851.3.144.0/2051.3.144.1 to 51.3.159.25451.3.159.2554,094
5951.3.160.0/2051.3.160.1 to 51.3.175.25451.3.175.2554,094
6051.3.176.0/2051.3.176.1 to 51.3.191.25451.3.191.2554,094
6151.3.192.0/2051.3.192.1 to 51.3.207.25451.3.207.2554,094
6251.3.208.0/2051.3.208.1 to 51.3.223.25451.3.223.2554,094
6351.3.224.0/2051.3.224.1 to 51.3.239.25451.3.239.2554,094
6451.3.240.0/2051.3.240.1 to 51.3.255.25451.3.255.2554,094
6551.4.0.0/2051.4.0.1 to 51.4.15.25451.4.15.2554,094
6651.4.16.0/2051.4.16.1 to 51.4.31.25451.4.31.2554,094
6751.4.32.0/2051.4.32.1 to 51.4.47.25451.4.47.2554,094
6851.4.48.0/2051.4.48.1 to 51.4.63.25451.4.63.2554,094
6951.4.64.0/2051.4.64.1 to 51.4.79.25451.4.79.2554,094
7051.4.80.0/2051.4.80.1 to 51.4.95.25451.4.95.2554,094
7151.4.96.0/2051.4.96.1 to 51.4.111.25451.4.111.2554,094
7251.4.112.0/2051.4.112.1 to 51.4.127.25451.4.127.2554,094
7351.4.128.0/2051.4.128.1 to 51.4.143.25451.4.143.2554,094
7451.4.144.0/2051.4.144.1 to 51.4.159.25451.4.159.2554,094
7551.4.160.0/2051.4.160.1 to 51.4.175.25451.4.175.2554,094
7651.4.176.0/2051.4.176.1 to 51.4.191.25451.4.191.2554,094
7751.4.192.0/2051.4.192.1 to 51.4.207.25451.4.207.2554,094
7851.4.208.0/2051.4.208.1 to 51.4.223.25451.4.223.2554,094
7951.4.224.0/2051.4.224.1 to 51.4.239.25451.4.239.2554,094
8051.4.240.0/2051.4.240.1 to 51.4.255.25451.4.255.2554,094
8151.5.0.0/2051.5.0.1 to 51.5.15.25451.5.15.2554,094
8251.5.16.0/2051.5.16.1 to 51.5.31.25451.5.31.2554,094
8351.5.32.0/2051.5.32.1 to 51.5.47.25451.5.47.2554,094
8451.5.48.0/2051.5.48.1 to 51.5.63.25451.5.63.2554,094
8551.5.64.0/2051.5.64.1 to 51.5.79.25451.5.79.2554,094
8651.5.80.0/2051.5.80.1 to 51.5.95.25451.5.95.2554,094
8751.5.96.0/2051.5.96.1 to 51.5.111.25451.5.111.2554,094
8851.5.112.0/2051.5.112.1 to 51.5.127.25451.5.127.2554,094
8951.5.128.0/2051.5.128.1 to 51.5.143.25451.5.143.2554,094
9051.5.144.0/2051.5.144.1 to 51.5.159.25451.5.159.2554,094
9151.5.160.0/2051.5.160.1 to 51.5.175.25451.5.175.2554,094
9251.5.176.0/2051.5.176.1 to 51.5.191.25451.5.191.2554,094
9351.5.192.0/2051.5.192.1 to 51.5.207.25451.5.207.2554,094
9451.5.208.0/2051.5.208.1 to 51.5.223.25451.5.223.2554,094
9551.5.224.0/2051.5.224.1 to 51.5.239.25451.5.239.2554,094
9651.5.240.0/2051.5.240.1 to 51.5.255.25451.5.255.2554,094
9751.6.0.0/2051.6.0.1 to 51.6.15.25451.6.15.2554,094
9851.6.16.0/2051.6.16.1 to 51.6.31.25451.6.31.2554,094
9951.6.32.0/2051.6.32.1 to 51.6.47.25451.6.47.2554,094
10051.6.48.0/2051.6.48.1 to 51.6.63.25451.6.63.2554,094
10151.6.64.0/2051.6.64.1 to 51.6.79.25451.6.79.2554,094
10251.6.80.0/2051.6.80.1 to 51.6.95.25451.6.95.2554,094
10351.6.96.0/2051.6.96.1 to 51.6.111.25451.6.111.2554,094
10451.6.112.0/2051.6.112.1 to 51.6.127.25451.6.127.2554,094
10551.6.128.0/2051.6.128.1 to 51.6.143.25451.6.143.2554,094
10651.6.144.0/2051.6.144.1 to 51.6.159.25451.6.159.2554,094
10751.6.160.0/2051.6.160.1 to 51.6.175.25451.6.175.2554,094
10851.6.176.0/2051.6.176.1 to 51.6.191.25451.6.191.2554,094
10951.6.192.0/2051.6.192.1 to 51.6.207.25451.6.207.2554,094
11051.6.208.0/2051.6.208.1 to 51.6.223.25451.6.223.2554,094
11151.6.224.0/2051.6.224.1 to 51.6.239.25451.6.239.2554,094
11251.6.240.0/2051.6.240.1 to 51.6.255.25451.6.255.2554,094
11351.7.0.0/2051.7.0.1 to 51.7.15.25451.7.15.2554,094
11451.7.16.0/2051.7.16.1 to 51.7.31.25451.7.31.2554,094
11551.7.32.0/2051.7.32.1 to 51.7.47.25451.7.47.2554,094
11651.7.48.0/2051.7.48.1 to 51.7.63.25451.7.63.2554,094
11751.7.64.0/2051.7.64.1 to 51.7.79.25451.7.79.2554,094
11851.7.80.0/2051.7.80.1 to 51.7.95.25451.7.95.2554,094
11951.7.96.0/2051.7.96.1 to 51.7.111.25451.7.111.2554,094
12051.7.112.0/2051.7.112.1 to 51.7.127.25451.7.127.2554,094
12151.7.128.0/2051.7.128.1 to 51.7.143.25451.7.143.2554,094
12251.7.144.0/2051.7.144.1 to 51.7.159.25451.7.159.2554,094
12351.7.160.0/2051.7.160.1 to 51.7.175.25451.7.175.2554,094
12451.7.176.0/2051.7.176.1 to 51.7.191.25451.7.191.2554,094
12551.7.192.0/2051.7.192.1 to 51.7.207.25451.7.207.2554,094
12651.7.208.0/2051.7.208.1 to 51.7.223.25451.7.223.2554,094
12751.7.224.0/2051.7.224.1 to 51.7.239.25451.7.239.2554,094
12851.7.240.0/2051.7.240.1 to 51.7.255.25451.7.255.2554,094
12951.8.0.0/2051.8.0.1 to 51.8.15.25451.8.15.2554,094
13051.8.16.0/2051.8.16.1 to 51.8.31.25451.8.31.2554,094
13151.8.32.0/2051.8.32.1 to 51.8.47.25451.8.47.2554,094
13251.8.48.0/2051.8.48.1 to 51.8.63.25451.8.63.2554,094
13351.8.64.0/2051.8.64.1 to 51.8.79.25451.8.79.2554,094
13451.8.80.0/2051.8.80.1 to 51.8.95.25451.8.95.2554,094
13551.8.96.0/2051.8.96.1 to 51.8.111.25451.8.111.2554,094
13651.8.112.0/2051.8.112.1 to 51.8.127.25451.8.127.2554,094
13751.8.128.0/2051.8.128.1 to 51.8.143.25451.8.143.2554,094
13851.8.144.0/2051.8.144.1 to 51.8.159.25451.8.159.2554,094
13951.8.160.0/2051.8.160.1 to 51.8.175.25451.8.175.2554,094
14051.8.176.0/2051.8.176.1 to 51.8.191.25451.8.191.2554,094
14151.8.192.0/2051.8.192.1 to 51.8.207.25451.8.207.2554,094
14251.8.208.0/2051.8.208.1 to 51.8.223.25451.8.223.2554,094
14351.8.224.0/2051.8.224.1 to 51.8.239.25451.8.239.2554,094
14451.8.240.0/2051.8.240.1 to 51.8.255.25451.8.255.2554,094
14551.9.0.0/2051.9.0.1 to 51.9.15.25451.9.15.2554,094
14651.9.16.0/2051.9.16.1 to 51.9.31.25451.9.31.2554,094
14751.9.32.0/2051.9.32.1 to 51.9.47.25451.9.47.2554,094
14851.9.48.0/2051.9.48.1 to 51.9.63.25451.9.63.2554,094
14951.9.64.0/2051.9.64.1 to 51.9.79.25451.9.79.2554,094
15051.9.80.0/2051.9.80.1 to 51.9.95.25451.9.95.2554,094
15151.9.96.0/2051.9.96.1 to 51.9.111.25451.9.111.2554,094
15251.9.112.0/2051.9.112.1 to 51.9.127.25451.9.127.2554,094
15351.9.128.0/2051.9.128.1 to 51.9.143.25451.9.143.2554,094
15451.9.144.0/2051.9.144.1 to 51.9.159.25451.9.159.2554,094
15551.9.160.0/2051.9.160.1 to 51.9.175.25451.9.175.2554,094
15651.9.176.0/2051.9.176.1 to 51.9.191.25451.9.191.2554,094
15751.9.192.0/2051.9.192.1 to 51.9.207.25451.9.207.2554,094
15851.9.208.0/2051.9.208.1 to 51.9.223.25451.9.223.2554,094
15951.9.224.0/2051.9.224.1 to 51.9.239.25451.9.239.2554,094
16051.9.240.0/2051.9.240.1 to 51.9.255.25451.9.255.2554,094
16151.10.0.0/2051.10.0.1 to 51.10.15.25451.10.15.2554,094
16251.10.16.0/2051.10.16.1 to 51.10.31.25451.10.31.2554,094
16351.10.32.0/2051.10.32.1 to 51.10.47.25451.10.47.2554,094
16451.10.48.0/2051.10.48.1 to 51.10.63.25451.10.63.2554,094
16551.10.64.0/2051.10.64.1 to 51.10.79.25451.10.79.2554,094
16651.10.80.0/2051.10.80.1 to 51.10.95.25451.10.95.2554,094
16751.10.96.0/2051.10.96.1 to 51.10.111.25451.10.111.2554,094
16851.10.112.0/2051.10.112.1 to 51.10.127.25451.10.127.2554,094
16951.10.128.0/2051.10.128.1 to 51.10.143.25451.10.143.2554,094
17051.10.144.0/2051.10.144.1 to 51.10.159.25451.10.159.2554,094
17151.10.160.0/2051.10.160.1 to 51.10.175.25451.10.175.2554,094
17251.10.176.0/2051.10.176.1 to 51.10.191.25451.10.191.2554,094
17351.10.192.0/2051.10.192.1 to 51.10.207.25451.10.207.2554,094
17451.10.208.0/2051.10.208.1 to 51.10.223.25451.10.223.2554,094
17551.10.224.0/2051.10.224.1 to 51.10.239.25451.10.239.2554,094
17651.10.240.0/2051.10.240.1 to 51.10.255.25451.10.255.2554,094
17751.11.0.0/2051.11.0.1 to 51.11.15.25451.11.15.2554,094
17851.11.16.0/2051.11.16.1 to 51.11.31.25451.11.31.2554,094
17951.11.32.0/2051.11.32.1 to 51.11.47.25451.11.47.2554,094
18051.11.48.0/2051.11.48.1 to 51.11.63.25451.11.63.2554,094
18151.11.64.0/2051.11.64.1 to 51.11.79.25451.11.79.2554,094
18251.11.80.0/2051.11.80.1 to 51.11.95.25451.11.95.2554,094
18351.11.96.0/2051.11.96.1 to 51.11.111.25451.11.111.2554,094
18451.11.112.0/2051.11.112.1 to 51.11.127.25451.11.127.2554,094
18551.11.128.0/2051.11.128.1 to 51.11.143.25451.11.143.2554,094
18651.11.144.0/2051.11.144.1 to 51.11.159.25451.11.159.2554,094
18751.11.160.0/2051.11.160.1 to 51.11.175.25451.11.175.2554,094
18851.11.176.0/2051.11.176.1 to 51.11.191.25451.11.191.2554,094
18951.11.192.0/2051.11.192.1 to 51.11.207.25451.11.207.2554,094
19051.11.208.0/2051.11.208.1 to 51.11.223.25451.11.223.2554,094
19151.11.224.0/2051.11.224.1 to 51.11.239.25451.11.239.2554,094
19251.11.240.0/2051.11.240.1 to 51.11.255.25451.11.255.2554,094
19351.12.0.0/2051.12.0.1 to 51.12.15.25451.12.15.2554,094
19451.12.16.0/2051.12.16.1 to 51.12.31.25451.12.31.2554,094
19551.12.32.0/2051.12.32.1 to 51.12.47.25451.12.47.2554,094
19651.12.48.0/2051.12.48.1 to 51.12.63.25451.12.63.2554,094
19751.12.64.0/2051.12.64.1 to 51.12.79.25451.12.79.2554,094
19851.12.80.0/2051.12.80.1 to 51.12.95.25451.12.95.2554,094
19951.12.96.0/2051.12.96.1 to 51.12.111.25451.12.111.2554,094
20051.12.112.0/2051.12.112.1 to 51.12.127.25451.12.127.2554,094
20151.12.128.0/2051.12.128.1 to 51.12.143.25451.12.143.2554,094
20251.12.144.0/2051.12.144.1 to 51.12.159.25451.12.159.2554,094
20351.12.160.0/2051.12.160.1 to 51.12.175.25451.12.175.2554,094
20451.12.176.0/2051.12.176.1 to 51.12.191.25451.12.191.2554,094
20551.12.192.0/2051.12.192.1 to 51.12.207.25451.12.207.2554,094
20651.12.208.0/2051.12.208.1 to 51.12.223.25451.12.223.2554,094
20751.12.224.0/2051.12.224.1 to 51.12.239.25451.12.239.2554,094
20851.12.240.0/2051.12.240.1 to 51.12.255.25451.12.255.2554,094
20951.13.0.0/2051.13.0.1 to 51.13.15.25451.13.15.2554,094
21051.13.16.0/2051.13.16.1 to 51.13.31.25451.13.31.2554,094
21151.13.32.0/2051.13.32.1 to 51.13.47.25451.13.47.2554,094
21251.13.48.0/2051.13.48.1 to 51.13.63.25451.13.63.2554,094
21351.13.64.0/2051.13.64.1 to 51.13.79.25451.13.79.2554,094
21451.13.80.0/2051.13.80.1 to 51.13.95.25451.13.95.2554,094
21551.13.96.0/2051.13.96.1 to 51.13.111.25451.13.111.2554,094
21651.13.112.0/2051.13.112.1 to 51.13.127.25451.13.127.2554,094
21751.13.128.0/2051.13.128.1 to 51.13.143.25451.13.143.2554,094
21851.13.144.0/2051.13.144.1 to 51.13.159.25451.13.159.2554,094
21951.13.160.0/2051.13.160.1 to 51.13.175.25451.13.175.2554,094
22051.13.176.0/2051.13.176.1 to 51.13.191.25451.13.191.2554,094
22151.13.192.0/2051.13.192.1 to 51.13.207.25451.13.207.2554,094
22251.13.208.0/2051.13.208.1 to 51.13.223.25451.13.223.2554,094
22351.13.224.0/2051.13.224.1 to 51.13.239.25451.13.239.2554,094
22451.13.240.0/2051.13.240.1 to 51.13.255.25451.13.255.2554,094
22551.14.0.0/2051.14.0.1 to 51.14.15.25451.14.15.2554,094
22651.14.16.0/2051.14.16.1 to 51.14.31.25451.14.31.2554,094
22751.14.32.0/2051.14.32.1 to 51.14.47.25451.14.47.2554,094
22851.14.48.0/2051.14.48.1 to 51.14.63.25451.14.63.2554,094
22951.14.64.0/2051.14.64.1 to 51.14.79.25451.14.79.2554,094
23051.14.80.0/2051.14.80.1 to 51.14.95.25451.14.95.2554,094
23151.14.96.0/2051.14.96.1 to 51.14.111.25451.14.111.2554,094
23251.14.112.0/2051.14.112.1 to 51.14.127.25451.14.127.2554,094
23351.14.128.0/2051.14.128.1 to 51.14.143.25451.14.143.2554,094
23451.14.144.0/2051.14.144.1 to 51.14.159.25451.14.159.2554,094
23551.14.160.0/2051.14.160.1 to 51.14.175.25451.14.175.2554,094
23651.14.176.0/2051.14.176.1 to 51.14.191.25451.14.191.2554,094
23751.14.192.0/2051.14.192.1 to 51.14.207.25451.14.207.2554,094
23851.14.208.0/2051.14.208.1 to 51.14.223.25451.14.223.2554,094
23951.14.224.0/2051.14.224.1 to 51.14.239.25451.14.239.2554,094
24051.14.240.0/2051.14.240.1 to 51.14.255.25451.14.255.2554,094
24151.15.0.0/2051.15.0.1 to 51.15.15.25451.15.15.2554,094
24251.15.16.0/2051.15.16.1 to 51.15.31.25451.15.31.2554,094
24351.15.32.0/2051.15.32.1 to 51.15.47.25451.15.47.2554,094
24451.15.48.0/2051.15.48.1 to 51.15.63.25451.15.63.2554,094
24551.15.64.0/2051.15.64.1 to 51.15.79.25451.15.79.2554,094
24651.15.80.0/2051.15.80.1 to 51.15.95.25451.15.95.2554,094
24751.15.96.0/2051.15.96.1 to 51.15.111.25451.15.111.2554,094
24851.15.112.0/2051.15.112.1 to 51.15.127.25451.15.127.2554,094
24951.15.128.0/2051.15.128.1 to 51.15.143.25451.15.143.2554,094
25051.15.144.0/2051.15.144.1 to 51.15.159.25451.15.159.2554,094
25151.15.160.0/2051.15.160.1 to 51.15.175.25451.15.175.2554,094
25251.15.176.0/2051.15.176.1 to 51.15.191.25451.15.191.2554,094
25351.15.192.0/2051.15.192.1 to 51.15.207.25451.15.207.2554,094
25451.15.208.0/2051.15.208.1 to 51.15.223.25451.15.223.2554,094
25551.15.224.0/2051.15.224.1 to 51.15.239.25451.15.239.2554,094
25651.15.240.0/2051.15.240.1 to 51.15.255.25451.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses